Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.excel
Class ExcelCellBuilderDecorator

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.PartBuilderDecorator
              com.tonbeller.jpivot.table.CellBuilderDecorator
                  com.tonbeller.jpivot.excel.ExcelCellBuilderDecorator

All Implemented Interfaces:
  CellBuilder, PartBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class ExcelCellBuilderDecorator

extends CellBuilderDecorator

adds excel attributes to cell elements

Field Summary
`protected boolean` | `excelMode`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`ExcelCellBuilderDecorator(CellBuilder delegate)`

Method Summary
`org.w3c.dom.Element` | `build(Cell cell, boolean even)`
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderDecorator
`destroy, initialize, stopBuild`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`getBookmarkState, isAvailable, setBookmarkState, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, stopBuild`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Field Detail

### excelMode

    protected boolean excelMode

Constructor Detail

### ExcelCellBuilderDecorator

    public ExcelCellBuilderDecorator(CellBuilder delegate)

Method Detail

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderDecorator`

### build

    public org.w3c.dom.Element build(Cell cell,
                                     boolean even)

  Specified by:
    `build` in interface `CellBuilder`
  Overrides:
    `build` in class `CellBuilderDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD